import { TagsRule } from "../../../../rules/TagsRule";
export interface wise_rule_tags {
    rule: "tags";
    mode: wise_rule_tags_mode;
    tags: string[];
}
export declare type wise_rule_tags_mode = "allow" | "deny" | "any" | "require";
export declare function wise_rule_tags_encode(r: TagsRule): wise_rule_tags;
export declare function wise_rule_tags_decode(r: wise_rule_tags): TagsRule;
